Makro Elipsa-Střed+2Body

From FreeCAD Documentation
Revision as of 18:03, 5 February 2014 by Honza32 (talk | contribs) (Created page with "{{Macro|Icon=Text-x-python|Name=Macro_Ellipse-Center+2Points|Description=Vytvoří elipsu výběrem 3 bodů (v tomto pořadí): střed, velký poloměr, malý poloměr|Author=...")

File:Text-x-python Macro_Ellipse-Center+2Points

Description
Vytvoří elipsu výběrem 3 bodů (v tomto pořadí): střed, velký poloměr, malý poloměr

Author: Eriossoltero
Author
Eriossoltero
Download
None
Links
Macro Version
1.0
Date last modified
None
FreeCAD Version(s)
None
Default shortcut
None
See also
None

Vytvoří elipsu výběrem 3 bodů (v tomto pořadí): střed, velký poloměr, malý poloměr


# Macro Begin: Ellipse-Center+2Points.FCMacro +++++++++++++++++++++++++++++++++++++++++++++++++
# http://freecad-tutorial.blogspot.com/2011/12/engine-9-poly-v-belt.html
import Part, FreeCAD, math, PartGui, FreeCADGui
from FreeCAD import Base

# get the selected objects, with first selection for the trajectory and second for the section
# Adapted from:
# http://freecad-tutorial.blogspot.com/2011/12/engine-9-poly-v-belt.html
s = FreeCADGui.Selection.getSelection()
try:
	sel1=s[0].Shape
	sel2=s[1].Shape
	sel3=s[2].Shape
except:
	print "Wrong selection"

pt_center = sel1.Point
pt_radmay = sel2.Point
pt_radmen = sel3.Point

# create Part object in the current document
myObject=App.ActiveDocument.addObject("Part::Feature","Ellipse")

# create a shape and assign it to the current document
ellipse = Part.Ellipse(pt_radmay, pt_radmen, pt_center)
myObject.Shape = ellipse.toShape()
# Macro End: Ellipse-Center+2Points.FCMacro +++++++++++++++++++++++++++++++++++++++++++++++++
Other languages: